Esempio n. 1
0
 private void DocumentManager_DocumentLockModeChanged(object sender, Autodesk.AutoCAD.ApplicationServices.DocumentLockModeChangedEventArgs e)
 {
     if (e.GlobalCommandName.ToUpper() == "SAVE" || e.GlobalCommandName.ToUpper() == "SAVEAS")
     {
         //Autodesk.AutoCAD.ApplicationServices.Application.Quit();
     }
 }
 private static void DocumentManager_DocumentLockModeChanged(
     object sender, Autodesk.AutoCAD.ApplicationServices.DocumentLockModeChangedEventArgs e)
 {
     try
     {
         if (!UseBedit)
         {
             if (e.GlobalCommandName == "BEDIT")
             {
                 e.Veto();
             }
         }
     }
     catch (System.Exception exception)
     {
         AcadUtils.WriteMessageInDebug($"\nException {exception.Message}");
     }
 }